#from __future__ import unicode_literals
# -*- coding: utf-8 -*-
import regles

class Attaque():
    """attaque pre-parametree affectee a un pion, un personnage ou une creature"""
    def __init__(self):
        self.nom = "Attaque"
        self.typ = "cac"   #cac, dist, zone
        self.portee = 1   #portee max en cases
        self.formeZone = ""   #forme de l'attaque de zone
        self.rayon = 1    #rayon d'une attaque de zone de type disque
        self.attributs = regles.listeAttributsAttaques()
        self.notes = ""
